## sphinx-rtd-theme 0.4.3+dfsg

=== docs/requirements.txt ===
sphinxcontrib-httpdomain
sphinx

## sphinx-rtd-theme 0.1.6

=== debian/changelog ===
sphinx-rtd-theme (0.1.6-1) unstable; urgency=low

  * Initial release. (Closes: #756894)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 03 Aug 2014 11:55:25 +0200

=== debian/control ===
Source: sphinx-rtd-theme
Section: python
Priority: optional
Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: python-setuptools, python-all (>= 2.7), debhelper (>= 9),
               dh-python, python3-all, python3-setuptools
Standards-Version: 3.9.5
Homepage: https://github.com/snide/sphinx_rtd_theme
Vcs-Git: git://anonscm.debian.org/pkg-julia/sphinx-rtd-theme.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/sphinx-rtd-theme.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-sphinx-rtd-theme
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, fonts-font-awesome
Description: sphinx theme from readthedocs.org (Python 2)
 This mobile-friendly sphinx theme was initially created for readthedocs.org,
 but can be incorporated in any project.
 .
 Among other things, it features a left panel with a browseable table of
 contents, and a search bar.
 .
 This is the Python 2 version of the package.

Package: python3-sphinx-rtd-theme
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, fonts-font-awesome
Description: sphinx theme from readthedocs.org (Python 3)
 This mobile-friendly sphinx theme was initially created for readthedocs.org,
 but can be incorporated in any project.
 .
 Among other things, it features a left panel with a browseable table of
 contents, and a search bar.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/s/sphinx_rtd_theme/sphinx_rtd_theme-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## sphinx-rtd-theme 0.1.7

=== debian/changelog ===
sphinx-rtd-theme (0.1.7-1) unstable; urgency=medium

  * Imported Upstream version 0.1.7
  * Fix debian/watch (use pypi.debian.net redirector).
  * Use libjs-modernizr instead of linking to an external website.
    - d/p/localize-modernizr.patch: new patch backported from upstream;
      replaces the external link with a link to a local copy of modernizr.js
    - d/missing-sources/modernizr.js: source of minified modernizr.js
    - d/copyright: document copyright and license of modernizr.js
    - replace local copy of modernizr.js with a symlink to libjs-modernizr
    - consequently, add dependency on libjs-modernizr
    Thanks to David Prévot for crafting the patch. (Closes: #765420)
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Apr 2015 18:34:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: python-setuptools, python-all (>= 2.7), debhelper (>= 9),
                dh-python, python3-all, python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/snide/sphinx_rtd_theme
 Vcs-Git: git://anonscm.debian.org/pkg-julia/sphinx-rtd-theme.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/sphinx-rtd-theme.git
@@ -14,7 +14,10 @@
 
 Package: python-sphinx-rtd-theme
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, fonts-font-awesome
+Depends: fonts-font-awesome,
+         libjs-modernizr,
+         ${misc:Depends},
+         ${python:Depends}
 Description: sphinx theme from readthedocs.org (Python 2)
  This mobile-friendly sphinx theme was initially created for readthedocs.org,
  but can be incorporated in any project.
@@ -26,7 +29,10 @@
 
 Package: python3-sphinx-rtd-theme
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, fonts-font-awesome
+Depends: fonts-font-awesome,
+         libjs-modernizr,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: sphinx theme from readthedocs.org (Python 3)
  This mobile-friendly sphinx theme was initially created for readthedocs.org,
  but can be incorporated in any project.

## sphinx-rtd-theme 0.1.8

=== debian/changelog ===
sphinx-rtd-theme (0.1.8-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 25 Jun 2015 12:35:09 -0400

sphinx-rtd-theme (0.1.8-1) unstable; urgency=low

  * Imported Upstream version 0.1.8
  * d/copyright: reflect upstream changes.
  * d/p/localize-modernizr.patch: drop patch, applied upstream.
  * Use system-wide Lato fonts.
    + d/control: add Depends on fonts-lato.
    + d/python{,3}-sphinx-rtd-theme.links: add relevant symlinks.
  * d/control: update Git-* fields to reflect the move to collab-maint.
  * d/control: set myself as Maintainer and Dmitry Shachnev as Uploader.
  * Demote Depends on python{,3}-sphinx to a Recommends.
    + d/p/do-not-require-sphinx.patch: new patch to remove the requirement.
    + d/rules: tell dh_python to recommend sphinx module. (Closes: #783795)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 May 2015 21:48:02 +0200

=== debian/control ===
Source: sphinx-rtd-theme
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Sébastien Villemot <sebastien@debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: python-setuptools, python-all (>= 2.7), debhelper (>= 9),
               dh-python, python3-all, python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/snide/sphinx_rtd_theme
Vcs-Git: git://anonscm.debian.org/collab-maint/sphinx-rtd-theme.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sphinx-rtd-theme.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-sphinx-rtd-theme
Architecture: all
Depends: neurodebian-popularity-contest, fonts-font-awesome,
         fonts-lato,
         libjs-modernizr,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: sphinx theme from readthedocs.org (Python 2)
 This mobile-friendly sphinx theme was initially created for readthedocs.org,
 but can be incorporated in any project.
 .
 Among other things, it features a left panel with a browseable table of
 contents, and a search bar.
 .
 This is the Python 2 version of the package.

Package: python3-sphinx-rtd-theme
Architecture: all
Depends: neurodebian-popularity-contest, fonts-font-awesome,
         fonts-lato,
         libjs-modernizr,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Description: sphinx theme from readthedocs.org (Python 3)
 This mobile-friendly sphinx theme was initially created for readthedocs.org,
 but can be incorporated in any project.
 .
 Among other things, it features a left panel with a browseable table of
 contents, and a search bar.
 .
 This is the Python 3 version of the package.

## sphinx-rtd-theme 0.1.9

=== debian/changelog ===
sphinx-rtd-theme (0.1.9-1) unstable; urgency=medium

  * Imported Upstream version 0.1.9
  * d/missing-sources/theme.css: reflect upstream changes.
  * d/missing-sources/theme.js: new unminified file.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 28 Sep 2015 22:21:29 +0200

sphinx-rtd-theme (0.1.8-2) unstable; urgency=medium

  * Add sphinx-rtd-theme-common package shipping static files.
  * Use canonical Vcs-Browser link.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Jul 2015 21:29:19 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,35 @@
 Source: sphinx-rtd-theme
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Sébastien Villemot <sebastien@debian.org>
+Maintainer: Sébastien Villemot <sebastien@debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: python-setuptools, python-all (>= 2.7), debhelper (>= 9),
                dh-python, python3-all, python3-setuptools
 Standards-Version: 3.9.6
 Homepage: https://github.com/snide/sphinx_rtd_theme
 Vcs-Git: git://anonscm.debian.org/collab-maint/sphinx-rtd-theme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sphinx-rtd-theme.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sphinx-rtd-theme.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
+Package: sphinx-rtd-theme-common
+Architecture: all
+Depends: fonts-font-awesome,
+         fonts-lato,
+         libjs-modernizr,
+         ${misc:Depends}
+Description: sphinx theme from readthedocs.org (common files)
+ This mobile-friendly sphinx theme was initially created for readthedocs.org,
+ but can be incorporated in any project.
+ .
+ Among other things, it features a left panel with a browseable table of
+ contents, and a search bar.
+ .
+ This package contains the common files used by the theme.
+
 Package: python-sphinx-rtd-theme
 Architecture: all
-Depends: neurodebian-popularity-contest, fonts-font-awesome,
-         fonts-lato,
-         libjs-modernizr,
+Depends: sphinx-rtd-theme-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends}
 Recommends: ${python:Recommends}
@@ -32,9 +44,7 @@
 
 Package: python3-sphinx-rtd-theme
 Architecture: all
-Depends: neurodebian-popularity-contest, fonts-font-awesome,
-         fonts-lato,
-         libjs-modernizr,
+Depends: sphinx-rtd-theme-common (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: ${python3:Recommends}

=== debian/rules ===
#!/usr/bin/make -f

PY2_PATH = debian/python-sphinx-rtd-theme/usr/lib/python2.7/dist-packages/sphinx_rtd_theme
PY3_PATH = debian/python3-sphinx-rtd-theme/usr/lib/python3/dist-packages/sphinx_rtd_theme

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	dh_python2 --recommends=sphinx

override_dh_python3:
	dh_python3 --recommends=sphinx

override_dh_link:
	rm -rf $(PY2_PATH)/static $(PY3_PATH)/static
	set -ex; for d in `cd sphinx_rtd_theme; find static -type d`; do \
		mkdir $(PY2_PATH)/$$d; \
		mkdir $(PY3_PATH)/$$d; \
	done
	set -ex; for f in `cd sphinx_rtd_theme; find static -type f`; do \
		ln -s /usr/share/sphinx_rtd_theme/$$f $(PY2_PATH)/$$f; \
		ln -s /usr/share/sphinx_rtd_theme/$$f $(PY3_PATH)/$$f; \
	done
	dh_link

## sphinx-rtd-theme 0.2.4

=== debian/changelog ===
sphinx-rtd-theme (0.2.4-1) unstable; urgency=medium

  * New upstream version 0.2.4.
  * Update patches for the new release.
    - Drop do-not-require-sphinx.patch, applied upstream.
    - Drop sourcelink-suffix.patch, it was coming from upstream.
    - Rebase theme-path.patch.
  * Use HTTPS URL in Vcs-Git field.
  * Update Homepage and Source URLs to the new upstream repository location.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump debhelper compatibility level to 10.
  * Install README.rst in python3-sphinx-rtd-theme package.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Jun 2017 20:10:39 +0300

sphinx-rtd-theme (0.1.9-2) experimental; urgency=medium

  * Set theme_path to /usr/share/sphinx_rtd_theme.
    This allows us to stop creating symlinks from real theme path to
    dist-packages directories, and simplify the package layout.
  * Add SOURCES.txt and requires.txt from egg-info to debian/clean.
  * Move the package to Debian Python Modules Team.
  * Reorder two debian/copyright entries to fix Lintian warning.
  * d/p/sourcelink-suffix.patch: add compatibility with searchtools of
    Sphinx 1.5 (backported from upstream).
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Upload to experimental because of freeze.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 01 Feb 2017 22:49:46 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: sphinx-rtd-theme
 Section: python
 Priority: optional
-Maintainer: Sébastien Villemot <sebastien@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: python-setuptools, python-all (>= 2.7), debhelper (>= 9),
-               dh-python, python3-all, python3-setuptools
-Standards-Version: 3.9.6
-Homepage: https://github.com/snide/sphinx_rtd_theme
-Vcs-Git: git://anonscm.debian.org/collab-maint/sphinx-rtd-theme.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sphinx-rtd-theme.git
+Build-Depends: debhelper (>= 10),
+               dh-python,
+               python-all (>= 2.7),
+               python-setuptools,
+               python3-all,
+               python3-setuptools
+Standards-Version: 4.0.0
+Homepage: https://github.com/rtfd/sphinx_rtd_theme
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx-rtd-theme.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx-rtd-theme.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	dh_python2 --recommends=sphinx

override_dh_python3:
	dh_python3 --recommends=sphinx

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/sphinx_rtd_theme/sphinx_rtd_theme-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinx-rtd-theme 0.4.0+dfsg

=== debian/changelog ===
sphinx-rtd-theme (0.4.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Dmitry Shachnev ]
  * Use tarballs from GitHub, as they contain the SASS source files.
  * Exclude built files without source from the tarball.
  * New upstream release.
  * Provide missing SASS sources in debian/missing-sources/.
  * Regenerate CSS files from source during build (closes: #892993).
  * Document the missing-sources update steps in debian/README.source.
  * Update Lato and RobotoSlab fonts:
    - Symlink .ttf variants to the packaged versions.
    - Generate .woff2 varitants from .ttf during build.
    - Drop other variants (.eof and .woff).
    - Use different file names for compatibility with packages built
      against sphinx-rtd-theme 0.2.4.
  * Update debian/copyright.
  * Run upstream tests during build:
    - Build-depend on pytest and sphinx.
    - Add a patch to make tests pass in a build environment.
    - Export LC_ALL=C.UTF-8 to make the Python 3 tests pass.
  * Sort sphinx-rtd-theme-common.{install,links}.
  * Add a symlink to the .woff2 version of font-awesome.
  * Add Inconsolata-{Bold,Regular}.ttf as dummy empty files, to make sure
    that packages built with sphinx-rtd-theme 0.2.4 do not have dangling
    symlinks after upgrade.
  * Revert from using theme-path.patch to lots of symlinks, to make sure
    that newly built projects do not have these dummy files.
  * Update debhelper compat level to 11.
  * Bump Standards-Version to 4.1.5, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Jul 2018 19:36:50 +0300

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,31 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
+               fonts-font-awesome,
+               fonts-lato,
+               fonts-roboto-slab,
                python-all (>= 2.7),
+               python-pytest,
                python-setuptools,
+               python-sphinx,
                python3-all,
-               python3-setuptools
-Standards-Version: 4.0.0
+               python3-pytest,
+               python3-setuptools,
+               python3-sphinx,
+               ruby-sass,
+               woff2
+Standards-Version: 4.1.5
 Homepage: https://github.com/rtfd/sphinx_rtd_theme
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx-rtd-theme.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx-rtd-theme.git
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme
 
 Package: sphinx-rtd-theme-common
 Architecture: all
 Depends: fonts-font-awesome,
          fonts-lato,
+         fonts-roboto-slab,
          libjs-modernizr,
          ${misc:Depends}
 Description: sphinx theme from readthedocs.org (common files)

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

SASS_OPTIONS := --load-path debian/missing-sources/bourbon/dist \
                --load-path debian/missing-sources/neat/app/assets/stylesheets \
                --load-path /usr/share/fonts-font-awesome/scss \
                --load-path debian/missing-sources/wyrm/sass \
                --style compressed \
                --sourcemap=none

COMMON_PATH = debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme
PY2_PATH = debian/python-sphinx-rtd-theme/usr/lib/python2.7/dist-packages/sphinx_rtd_theme
PY3_PATH = debian/python3-sphinx-rtd-theme/usr/lib/python3/dist-packages/sphinx_rtd_theme

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	mkdir -p sphinx_rtd_theme/static/css
	sass $(SASS_OPTIONS) sass/theme.sass      sphinx_rtd_theme/static/css/theme.css
	sass $(SASS_OPTIONS) sass/badge_only.sass sphinx_rtd_theme/static/css/badge_only.css
	mkdir -p sphinx_rtd_theme/static/js
	sed s/module.exports.ThemeNav/_ThemeNav/ js/theme.js > sphinx_rtd_theme/static/js/theme.js
	mkdir -p sphinx_rtd_theme/static/fonts
	cp /usr/share/fonts/truetype/lato/Lato-Bold.ttf sphinx_rtd_theme/static/fonts/
	cp /usr/share/fonts/truetype/lato/Lato-BoldItalic.ttf sphinx_rtd_theme/static/fonts/
	cp /usr/share/fonts/truetype/lato/Lato-Italic.ttf sphinx_rtd_theme/static/fonts/
	cp /usr/share/fonts/truetype/lato/Lato-Regular.ttf sphinx_rtd_theme/static/fonts/
	cp /usr/share/fonts/truetype/roboto/slab/RobotoSlab-Bold.ttf sphinx_rtd_theme/static/fonts/
	cp /usr/share/fonts/truetype/roboto/slab/RobotoSlab-Regular.ttf sphinx_rtd_theme/static/fonts/
	set -ex; cd sphinx_rtd_theme/static/fonts/; for ttf in *.ttf; do woff2_compress $$ttf; done
	dh_auto_build

override_dh_python2:
	dh_python2 --recommends=sphinx

override_dh_python3:
	dh_python3 --recommends=sphinx

override_dh_link:
	dh_link -p sphinx-rtd-theme-common
	rm -rf $(PY2_PATH)/static $(PY3_PATH)/static
	set -ex; for d in static/css static/fonts static/js; do \
		mkdir -p $(PY2_PATH)/$$d; \
		mkdir -p $(PY3_PATH)/$$d; \
	done
	set -ex; for f in `cd $(COMMON_PATH) && find -type f -or -type l | sed "s,^\./,,"`; do \
		ln -sf /usr/share/sphinx_rtd_theme/$$f $(PY2_PATH)/$$f; \
		ln -sf /usr/share/sphinx_rtd_theme/$$f $(PY3_PATH)/$$f; \
	done
	dh_link --remaining-packages  # To make the created symlinks relative
	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Bold.ttf
	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Regular.ttf

## sphinx-rtd-theme 0.4.2+dfsg

=== debian/changelog ===
sphinx-rtd-theme (0.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Sphinx is now listed in install_requires. Stop recommending it.
  * Add .gitattributes and docs/make.bat to debian/clean.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Oct 2018 19:12:42 +0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx,
                ruby-sass,
                woff2
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://github.com/rtfd/sphinx_rtd_theme
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme
@@ -44,7 +44,6 @@
 Depends: sphinx-rtd-theme-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends}
-Recommends: ${python:Recommends}
 Description: sphinx theme from readthedocs.org (Python 2)
  This mobile-friendly sphinx theme was initially created for readthedocs.org,
  but can be incorporated in any project.
@@ -59,7 +58,6 @@
 Depends: sphinx-rtd-theme-common (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: ${python3:Recommends}
 Description: sphinx theme from readthedocs.org (Python 3)
  This mobile-friendly sphinx theme was initially created for readthedocs.org,
  but can be incorporated in any project.

## sphinx-rtd-theme 0.4.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx,
                ruby-sass,
                woff2
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/rtfd/sphinx_rtd_theme
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme

## sphinx-rtd-theme 0.4.3+dfsg

=== debian/changelog ===
sphinx-rtd-theme (0.4.3+dfsg-3) unstable; urgency=medium

  * Drop python2 support; Closes: #938545

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Mar 2020 18:04:55 -0400

sphinx-rtd-theme (0.4.3+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update Homepage, debian/watch and debian/copyright for another owner
    change of upstream GitHub repository.
  * Remove outdated Upstream-Contact field.
  * Update for fonts-roboto-slab switch from TrueType to OpenType in version
    1.100263+20170512-2:
    - Build the WOFF2 version of RobotoSlab font from OTF source.
    - Stop using the TTF version and replace it with a dummy empty file
      for compatibility with packages built against older package versions.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Dec 2019 11:37:15 +0300

sphinx-rtd-theme (0.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Feb 2019 15:22:25 +0300

=== debian/control ===
Source: sphinx-rtd-theme
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               fonts-font-awesome,
               fonts-lato,
               fonts-roboto-slab (>= 1.100263+20170512-2),
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               ruby-sass,
               woff2
Standards-Version: 4.4.1
Homepage: https://github.com/readthedocs/sphinx_rtd_theme
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme

Package: sphinx-rtd-theme-common
Architecture: all
Depends: fonts-font-awesome,
         fonts-lato,
         libjs-modernizr,
         ${misc:Depends}
Description: sphinx theme from readthedocs.org (common files)
 This mobile-friendly sphinx theme was initially created for readthedocs.org,
 but can be incorporated in any project.
 .
 Among other things, it features a left panel with a browseable table of
 contents, and a search bar.
 .
 This package contains the common files used by the theme.

Package: python3-sphinx-rtd-theme
Architecture: all
Depends: sphinx-rtd-theme-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: sphinx theme from readthedocs.org (Python 3)
 This mobile-friendly sphinx theme was initially created for readthedocs.org,
 but can be incorporated in any project.
 .
 Among other things, it features a left panel with a browseable table of
 contents, and a search bar.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,10 @@
                 --sourcemap=none
 
 COMMON_PATH = debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme
-PY2_PATH = debian/python-sphinx-rtd-theme/usr/lib/python2.7/dist-packages/sphinx_rtd_theme
 PY3_PATH = debian/python3-sphinx-rtd-theme/usr/lib/python3/dist-packages/sphinx_rtd_theme
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	mkdir -p sphinx_rtd_theme/static/css
@@ -27,28 +26,26 @@
 	cp /usr/share/fonts/truetype/lato/Lato-BoldItalic.ttf sphinx_rtd_theme/static/fonts/
 	cp /usr/share/fonts/truetype/lato/Lato-Italic.ttf sphinx_rtd_theme/static/fonts/
 	cp /usr/share/fonts/truetype/lato/Lato-Regular.ttf sphinx_rtd_theme/static/fonts/
-	cp /usr/share/fonts/truetype/roboto/slab/RobotoSlab-Bold.ttf sphinx_rtd_theme/static/fonts/
-	cp /usr/share/fonts/truetype/roboto/slab/RobotoSlab-Regular.ttf sphinx_rtd_theme/static/fonts/
+	cp /usr/share/fonts/opentype/roboto/slab/RobotoSlab-Bold.otf sphinx_rtd_theme/static/fonts/
+	cp /usr/share/fonts/opentype/roboto/slab/RobotoSlab-Regular.otf sphinx_rtd_theme/static/fonts/
 	set -ex; cd sphinx_rtd_theme/static/fonts/; for ttf in *.ttf; do woff2_compress $$ttf; done
+	set -ex; cd sphinx_rtd_theme/static/fonts/; for otf in *.otf; do woff2_compress $$otf; done
+	rm -fv sphinx_rtd_theme/static/fonts/*.otf
 	dh_auto_build
-
-override_dh_python2:
-	dh_python2 --recommends=sphinx
-
-override_dh_python3:
-	dh_python3 --recommends=sphinx
 
 override_dh_link:
 	dh_link -p sphinx-rtd-theme-common
-	rm -rf $(PY2_PATH)/static $(PY3_PATH)/static
+	rm -rf $(PY3_PATH)/static
 	set -ex; for d in static/css static/fonts static/js; do \
-		mkdir -p $(PY2_PATH)/$$d; \
 		mkdir -p $(PY3_PATH)/$$d; \
 	done
 	set -ex; for f in `cd $(COMMON_PATH) && find -type f -or -type l | sed "s,^\./,,"`; do \
-		ln -sf /usr/share/sphinx_rtd_theme/$$f $(PY2_PATH)/$$f; \
 		ln -sf /usr/share/sphinx_rtd_theme/$$f $(PY3_PATH)/$$f; \
 	done
 	dh_link --remaining-packages  # To make the created symlinks relative
+	# Dummy empty files, to make sure that packages built against older
+	# sphinx-rtd-theme do not have dangling symlinks after upgrade.
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Bold.ttf
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Regular.ttf
+	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Bold.ttf
+	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Regular.ttf

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://github.com/readthedocs/sphinx_rtd_theme/releases \
    /readthedocs/sphinx_rtd_theme/archive/([\d.]+)\.tar\.gz

## sphinx-rtd-theme 0.5.0+dfsg

=== debian/changelog ===
sphinx-rtd-theme (0.5.0+dfsg-1) unstable; urgency=medium

  * Exclude some generated files from the tarball.
  * New upstream release.
  * Rebase fonts-only-ttf-woff2.patch.
  * Update debian/missing-sources for the new release.
  * Update build code in debian/rules for the new release.
  * Add a patch to replace webpack-style imports with normal ones.
  * Add a patch to not override Python build commands.
  * Remove modernizr symlink, add html5shiv symlink.
  * Override false positive Lintian warning about webpack.prod.js.
  * Regenerate .mo files from .po files during build.
  * Update links for fonts-font-awesome 5.0.10+really4.7.0~dfsg-2.
  * Add GitLab CI configuration file.
  * Update debian/copyright.
  * Update to debhelper compat level 13.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2020 14:44:20 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                fonts-font-awesome,
                fonts-lato,
@@ -14,17 +14,14 @@
                python3-sphinx,
                ruby-sass,
                woff2
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/readthedocs/sphinx_rtd_theme
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme
 
 Package: sphinx-rtd-theme-common
 Architecture: all
-Depends: fonts-font-awesome,
-         fonts-lato,
-         libjs-modernizr,
-         ${misc:Depends}
+Depends: fonts-font-awesome, fonts-lato, node-html5shiv, ${misc:Depends}
 Description: sphinx theme from readthedocs.org (common files)
  This mobile-friendly sphinx theme was initially created for readthedocs.org,
  but can be incorporated in any project.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 export LC_ALL=C.UTF-8
 
-SASS_OPTIONS := --load-path debian/missing-sources/bourbon/dist \
-                --load-path debian/missing-sources/neat/app/assets/stylesheets \
-                --load-path /usr/share/fonts-font-awesome/scss \
+SASS_OPTIONS := --load-path debian/missing-sources/bourbon/app/assets/stylesheets \
+                --load-path debian/missing-sources/bourbon-neat/app/assets/stylesheets \
+                --load-path /usr/share/sass/font-awesome \
                 --load-path debian/missing-sources/wyrm/sass \
                 --style compressed \
                 --sourcemap=none
@@ -17,10 +17,10 @@
 
 override_dh_auto_build:
 	mkdir -p sphinx_rtd_theme/static/css
-	sass $(SASS_OPTIONS) sass/theme.sass      sphinx_rtd_theme/static/css/theme.css
-	sass $(SASS_OPTIONS) sass/badge_only.sass sphinx_rtd_theme/static/css/badge_only.css
+	sass $(SASS_OPTIONS) src/sass/theme.sass      sphinx_rtd_theme/static/css/theme.css
+	sass $(SASS_OPTIONS) src/sass/badge_only.sass sphinx_rtd_theme/static/css/badge_only.css
 	mkdir -p sphinx_rtd_theme/static/js
-	sed s/module.exports.ThemeNav/_ThemeNav/ js/theme.js > sphinx_rtd_theme/static/js/theme.js
+	sed s/module.exports.ThemeNav/_ThemeNav/ src/theme.js > sphinx_rtd_theme/static/js/theme.js
 	mkdir -p sphinx_rtd_theme/static/fonts
 	cp /usr/share/fonts/truetype/lato/Lato-Bold.ttf sphinx_rtd_theme/static/fonts/
 	cp /usr/share/fonts/truetype/lato/Lato-BoldItalic.ttf sphinx_rtd_theme/static/fonts/
@@ -31,6 +31,7 @@
 	set -ex; cd sphinx_rtd_theme/static/fonts/; for ttf in *.ttf; do woff2_compress $$ttf; done
 	set -ex; cd sphinx_rtd_theme/static/fonts/; for otf in *.otf; do woff2_compress $$otf; done
 	rm -fv sphinx_rtd_theme/static/fonts/*.otf
+	python3 setup.py compile_catalog
 	dh_auto_build
 
 override_dh_link:
@@ -49,3 +50,4 @@
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Regular.ttf
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Bold.ttf
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Regular.ttf
+	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/js/modernizr.min.js

## sphinx-rtd-theme 0.5.1+dfsg

=== debian/changelog ===
sphinx-rtd-theme (0.5.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Remove node-html5shiv dependency, it was only needed for IE 8.
    - Add html5shiv{,-printshiv}.min.js as dummy empty files.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jan 2021 21:38:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sphinx-rtd-theme
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -14,14 +14,14 @@
                python3-sphinx,
                ruby-sass,
                woff2
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/readthedocs/sphinx_rtd_theme
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-rtd-theme
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme
 
 Package: sphinx-rtd-theme-common
 Architecture: all
-Depends: fonts-font-awesome, fonts-lato, node-html5shiv, ${misc:Depends}
+Depends: fonts-font-awesome, fonts-lato, ${misc:Depends}
 Description: sphinx theme from readthedocs.org (common files)
  This mobile-friendly sphinx theme was initially created for readthedocs.org,
  but can be incorporated in any project.

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,14 @@
 	dh_link --remaining-packages  # To make the created symlinks relative
 	# Dummy empty files, to make sure that packages built against older
 	# sphinx-rtd-theme do not have dangling symlinks after upgrade.
+	# Inconsolata-*.ttf: used up to version 0.2.4-1, present in Stretch.
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Bold.ttf
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Regular.ttf
+	# RobotoSlab-*.ttf: used up to version 0.4.3+dfsg-1, present in Stretch and Buster.
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Bold.ttf
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Regular.ttf
+	# modernizr.min.js: used up to version 0.4.3+dfsg-3, present in Stretch and Buster.
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/js/modernizr.min.js
+	# html5shiv*.js: used only in version 0.5.0+dfsg-1, not present in any stable release.
+	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/js/html5shiv-printshiv.min.js
+	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/js/html5shiv.min.js

## sphinx-rtd-theme 1.0.0+dfsg

=== docs/requirements.txt ===
sphinx>=3.0
sphinxcontrib-httpdomain

=== debian/changelog ===
sphinx-rtd-theme (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to work with new GitHub URLs.
  * Remove fonts from Files-Excluded. That directory is not included in
    upstream git repository since 0.5.0.
  * Rebase patches for the new release.
  * Add a patch to fix indentation error from sass.
  * Remove old transitional empty files: Inconsolata-*.ttf.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Override one more Lintian warning about webpack.prod.js.
  * Declare Rules-Requires-Root: no.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Sep 2021 17:17:44 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
                python3-sphinx,
                ruby-sass,
                woff2
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://github.com/readthedocs/sphinx_rtd_theme
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme

=== debian/rules ===
--- 
+++ 
@@ -46,9 +46,6 @@
 	dh_link --remaining-packages  # To make the created symlinks relative
 	# Dummy empty files, to make sure that packages built against older
 	# sphinx-rtd-theme do not have dangling symlinks after upgrade.
-	# Inconsolata-*.ttf: used up to version 0.2.4-1, present in Stretch.
-	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Bold.ttf
-	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/Inconsolata-Regular.ttf
 	# RobotoSlab-*.ttf: used up to version 0.4.3+dfsg-1, present in Stretch and Buster.
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Bold.ttf
 	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Regular.ttf

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://github.com/readthedocs/sphinx_rtd_theme/releases \
    /readthedocs/sphinx_rtd_theme/archive/refs/tags/([\d.]+)\.tar\.gz

## sphinx-rtd-theme 1.1.0+dfsg

=== debian/changelog ===
sphinx-rtd-theme (1.1.0+dfsg-1) unstable; urgency=medium

  [ Peter Wienemann ]
  * Mark sphinx-rtd-theme-common package Multi-Arch: foreign

  [ Dmitry Shachnev ]
  * Update debian/watch to use tags page and track pre-releases.
  * New upstream release.
  * Drop fix-indentation-error.patch, applied upstream.
  * Refresh do-not-override-build-commands.patch.
  * Update debian/source/lintian-overrides for Lintian pointed hints.
  * Add generated sphinx.mo files to debian/clean.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Nov 2022 00:34:59 +0300

## sphinx-rtd-theme 1.1.1+dfsg

=== debian/changelog ===
sphinx-rtd-theme (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Nov 2022 10:33:28 +0300

## sphinx-rtd-theme 1.2.0~rc1+dfsg

=== debian/changelog ===
sphinx-rtd-theme (1.2.0~rc1+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Dec 2022 20:18:06 +0300

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,14 @@
                ruby-sass,
                woff2
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/readthedocs/sphinx_rtd_theme
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme
 
 Package: sphinx-rtd-theme-common
 Architecture: all
+Multi-Arch: foreign
 Depends: fonts-font-awesome, fonts-lato, ${misc:Depends}
 Description: sphinx theme from readthedocs.org (common files)
  This mobile-friendly sphinx theme was initially created for readthedocs.org,

## sphinx-rtd-theme 1.2.0+dfsg

=== Makefile ===
SHELL := /bin/bash
CWD := $(shell cd -P -- '$(shell dirname -- "$0")' && pwd -P)

docker-images:
	docker-compose build

docker-npm-build:
	rm -f .container_id
	docker-compose run -d sphinx_rtd_theme build > .container_id
	docker container wait "$(shell cat .container_id)"
	docker cp "$(shell cat .container_id):/project/sphinx_rtd_theme" .
	docker cp "$(shell cat .container_id):/project/package-lock.json" .
	@echo "Done building"

docker-npm-dev:
	docker-compose run sphinx_rtd_theme dev
	
docker-build-all: docker-images docker-npm-build

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = ReadtheDocsSphinxTheme
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx>=6.0,<6.1

=== debian/changelog ===
sphinx-rtd-theme (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add a patch to remove sphinxcontrib-jquery dependency for now.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Feb 2023 01:25:43 +0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                ruby-sass,
                woff2
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/readthedocs/sphinx_rtd_theme
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme

## sphinx-rtd-theme 1.2.2+dfsg

=== docs/requirements.txt ===
sphinx>=6.1,<6.2

=== debian/changelog ===
sphinx-rtd-theme (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Jun 2023 12:01:59 +0300

sphinx-rtd-theme (1.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop remove-sphinxcontrib-jquery-dependency.patch. Instead, depend on
    python3-sphinxcontrib.jquery which is now available in Debian.
  * Stop shipping all dummy empty files.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 May 2023 11:05:24 +0300

## sphinx-rtd-theme 1.3.0+dfsg

=== debian/changelog ===
sphinx-rtd-theme (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Exclude upstream .gitattributes, it makes salsa-pipeline fail.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Aug 2023 14:12:23 +0300

## sphinx-rtd-theme 2.0.0+dfsg

=== debian/changelog ===
sphinx-rtd-theme (2.0.0+dfsg-2) unstable; urgency=medium

  * Backport upstream patch to fix test failure with Sphinx 7.3.
  * Enable autopkgtests using pybuild.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Jul 2024 20:03:36 +0300

sphinx-rtd-theme (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop css-files.patch, applied upstream.
  * Refresh remove-html5shiv.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Nov 2023 13:23:04 +0300

sphinx-rtd-theme (2.0.0~rc3+dfsg-2) unstable; urgency=medium

  * Add a patch to support strings in css_files (closes: #1054685).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 28 Oct 2023 15:57:17 +0300

sphinx-rtd-theme (2.0.0~rc3+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.
  * Refresh remove-html5shiv.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Oct 2023 14:19:02 +0300

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,15 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinxcontrib.jquery,
                ruby-sass,
                woff2
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/readthedocs/sphinx_rtd_theme
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-rtd-theme
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: sphinx-rtd-theme-common
 Architecture: all

## sphinx-rtd-theme 3.0.1+dfsg

=== debian/changelog ===
sphinx-rtd-theme (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - remove-html5shiv.patch
    - sphinx-7.3.patch
  * Refresh tests-configuration.patch.
  * Bump required python3-sphinx version to 6.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Oct 2024 09:14:49 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-pytest,
                python3-setuptools,
-               python3-sphinx,
+               python3-sphinx (>= 6),
                python3-sphinxcontrib.jquery,
                ruby-sass,
                woff2

## sphinx-rtd-theme 3.0.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 docker-npm-build:
 	rm -f .container_id
 	docker-compose run -d sphinx_rtd_theme build > .container_id
+	sleep 1s
 	docker container wait "$(shell cat .container_id)"
 	docker cp "$(shell cat .container_id):/project/sphinx_rtd_theme" .
 	docker cp "$(shell cat .container_id):/project/package-lock.json" .
@@ -14,5 +15,5 @@
 
 docker-npm-dev:
 	docker-compose run sphinx_rtd_theme dev
-	
+
 docker-build-all: docker-images docker-npm-build

=== docs/requirements.txt ===
sphinx>=7.1,<7.2

=== debian/changelog ===
sphinx-rtd-theme (3.0.2+dfsg-2) unstable; urgency=medium

  [ James Addison ]
  * Attach sidebar-close handler to current-page links (closes: #1075914).

  [ Dmitry Shachnev ]
  * Bump python3-sphinx dependency to 8.1.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jan 2025 23:00:54 +0300

sphinx-rtd-theme (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Do not exclude versions.js_t from the tarball or clean it.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Nov 2024 17:37:30 +0300

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,8 @@
 
 Package: python3-sphinx-rtd-theme
 Architecture: all
-Depends: sphinx-rtd-theme-common (= ${binary:Version}),
+Depends: python3-sphinx (>= 8.1.0),
+         sphinx-rtd-theme-common (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends}
 Description: sphinx theme from readthedocs.org (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -44,13 +44,3 @@
 		ln -sf /usr/share/sphinx_rtd_theme/$$f $(PY3_PATH)/$$f; \
 	done
 	dh_link --remaining-packages  # To make the created symlinks relative
-	# Dummy empty files, to make sure that packages built against older
-	# sphinx-rtd-theme do not have dangling symlinks after upgrade.
-	# RobotoSlab-*.ttf: used up to version 0.4.3+dfsg-1, present in Stretch and Buster.
-	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Bold.ttf
-	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/fonts/RobotoSlab-Regular.ttf
-	# modernizr.min.js: used up to version 0.4.3+dfsg-3, present in Stretch and Buster.
-	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/js/modernizr.min.js
-	# html5shiv*.js: used only in version 0.5.0+dfsg-1, not present in any stable release.
-	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/js/html5shiv-printshiv.min.js
-	touch debian/sphinx-rtd-theme-common/usr/share/sphinx_rtd_theme/static/js/html5shiv.min.js

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://github.com/readthedocs/sphinx_rtd_theme/tags \
    /readthedocs/sphinx_rtd_theme/archive/refs/tags/@ANY_VERSION@\.tar\.gz
